org.keycloak.protocol.oidc.representations

## Class MTLSEndpointAliases

- java.lang.Object
- - org.keycloak.protocol.oidc.representations.MTLSEndpointAliases

-     public class MTLSEndpointAliases
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,Object>` | `otherClaims`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MTLSEndpointAliases()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBackchannelAuthenticationEndpoint()`
    `String` | `getDeviceAuthorizationEndpoint()`
    `String` | `getIntrospectionEndpoint()`
    `Map<String,Object>` | `getOtherClaims()`
    `String` | `getPushedAuthorizationRequestEndpoint()`
    `String` | `getRegistrationEndpoint()`
    `String` | `getRevocationEndpoint()`
    `String` | `getTokenEndpoint()`
    `String` | `getUserInfoEndpoint()`
    `void` | `setBackchannelAuthenticationEndpoint(String backchannelAuthenticationEndpoint)`
    `void` | `setDeviceAuthorizationEndpoint(String deviceAuthorizationEndpoint)`
    `void` | `setIntrospectionEndpoint(String introspectionEndpoint)`
    `void` | `setOtherClaims(String name, Object value)`
    `void` | `setPushedAuthorizationRequestEndpoint(String pushedAuthorizationRequestEndpoint)`
    `void` | `setRegistrationEndpoint(String registrationEndpoint)`
    `void` | `setRevocationEndpoint(String revocationEndpoint)`
    `void` | `setTokenEndpoint(String tokenEndpoint)`
    `void` | `setUserInfoEndpoint(String userInfoEndpoint)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### otherClaims

          protected Map<String,Object> otherClaims

  - ### Constructor Detail

    - #### MTLSEndpointAliases

          public MTLSEndpointAliases()

  - ### Method Detail

    - #### getTokenEndpoint

          public String getTokenEndpoint()

    - #### setTokenEndpoint

          public void setTokenEndpoint(String tokenEndpoint)

    - #### getRevocationEndpoint

          public String getRevocationEndpoint()

    - #### setRevocationEndpoint

          public void setRevocationEndpoint(String revocationEndpoint)

    - #### getIntrospectionEndpoint

          public String getIntrospectionEndpoint()

    - #### setIntrospectionEndpoint

          public void setIntrospectionEndpoint(String introspectionEndpoint)

    - #### getDeviceAuthorizationEndpoint

          public String getDeviceAuthorizationEndpoint()

    - #### setDeviceAuthorizationEndpoint

          public void setDeviceAuthorizationEndpoint(String deviceAuthorizationEndpoint)

    - #### getRegistrationEndpoint

          public String getRegistrationEndpoint()

    - #### setRegistrationEndpoint

          public void setRegistrationEndpoint(String registrationEndpoint)

    - #### getUserInfoEndpoint

          public String getUserInfoEndpoint()

    - #### setUserInfoEndpoint

          public void setUserInfoEndpoint(String userInfoEndpoint)

    - #### getPushedAuthorizationRequestEndpoint

          public String getPushedAuthorizationRequestEndpoint()

    - #### setPushedAuthorizationRequestEndpoint

          public void setPushedAuthorizationRequestEndpoint(String pushedAuthorizationRequestEndpoint)

    - #### getBackchannelAuthenticationEndpoint

          public String getBackchannelAuthenticationEndpoint()

    - #### setBackchannelAuthenticationEndpoint

          public void setBackchannelAuthenticationEndpoint(String backchannelAuthenticationEndpoint)

    - #### getOtherClaims

          public Map<String,Object> getOtherClaims()

    - #### setOtherClaims

          public void setOtherClaims(String name,
                                     Object value)

Copyright © 2021 JBoss by Red Hat. All rights reserved.